# BlackClip

BlackClip is a link sharing project, open source and can be self-hosted. 

## Setup with Docker

Create a folder for BlackClip and craete two files, the compose and ENV file:
```bash
# Create Folder
mkdir ./blackclip
cd ./blackclip

# Create Files
touch docker-compose.yml
touch .env
```

In `docker-compose.yml`:
```yaml
services:
  blackclip:
    image: oci.registry.sudovanilla.org/blackclip:latest
    restart: always
    ports:
      - 6533:4321
```

If you need to, you can set BlackClip to any port you want to use, just change `6533`. Do not change `4321`, as this is the port used inside the container. 

In `.env`:
```env
# Customization
Wallpaper="https://random-image-pepebigotes.vercel.app/api/random-image"

# About You
Name="John Smith"
Email="j.smith@sudovanilla.org"
Avatar="/avatar.png"


# Links
Mastodon="https://mastodon.social/@mastodon"
Tumblr="https://www.tumblr.com/shencomix"
# Add whatever links you want here, as long as it's supported. Mastodon and Tumblr not required, they're just examples.
```

## Email

In your `.env` file, there is a `Email` variable that you can set. If set, a button labeled "Email" will show up at the top of that page with your profile, right it's right-hand side. This button will use a `href` parameter, utilzing the `mailto:` protocol. 

SudoVanilla recommends that add something to the email address to prevent spam. A lot of scrapers like to grab `mailto` links and email addresses on websites, since then I recommend adding `-REMOVE-TO-PREVENT-SPAM` to your email address.

Example:
 - Plain email: `johnsmith@example.org`
 - Recommended: `johnsmith-REMOVE-TO-PREVENT-SPAM@example.org`

In your email provider, setup an email rule to trash and delete all emails containting the `-REMOVE-TO-PREVENT-SPAM` email address. 

## Supported:
 - Amazon
 - AppleBooks
 - AppleMusic
 - ApplePodcasts
 - Appstore
 - Bandcamp
 - Behance
 - Blog
 - Bluesky
 - Bookwyrm
 - Booth
 - Briar
 - Cashapp
 - Castopod
 - Codeberg
 - Codepen
 - Coffee
 - Cryptpad
 - Custom
 - Deezer
 - DevTo
 - Discord
 - EpicGames
 - Etsy
 - Facebook
 - FDroid
 - Firefish
 - Figma
 - Flickr
 - Firefox
 - Funkwhale
 - Friendica
 - Gdrive
 - Furaffinity
 - Gitlab
 - Github
 - Hearthisat
 - Goodreads
 - Instagram
 - HumbleBundle
 - Itchio
 - Itaku
 - Kit
 - Kickstarter
 - LastFM
 - KoFi
 - Letterboxd
 - Lemmy
 - Linkedin
 - Liberapay
 - Littlelink
 - Linkstack
 - Mastodon
 - Llc
 - Medium
 - Matrix
 - Misskey
 - Messenger
 - Odysee
 - Notion
 - Openstreetmap
 - Onlyfans
 - Patreon
 - Owncast
 - Peertube
 - Paypal
 - Picarto
 - Phone
 - Piwigo
 - Pinterest
 - Playstore
 - Pixelfed
 - Producthunt
 - Pleroma
 - Reddit
 - Pronounspage
 - Share
 - Session
 - Simplex
 - Signal
 - Snapchat
 - Skoob
 - Spotify
 - Soundcloud
 - Strava
 - Steam
 - Telegram
 - Streams
 - Throne
 - Threema
 - Trakt
 - Tiktok
 - Tumblr
 - Trello
 - Twitter
 - Twitch
 - Unraid
 - Unity
 - Upptime
 - Untappd
 - Venmo
 - Vcard
 - Vrchat
 - Vimeo
 - Whatsapp
 - Website
 - Xing
 - Wordpress
 - YoutubeMusic
 - Youtube